Skip to main content
GET
TypeScript

Path Parameters

blockchain
enum<string>
required

Blockchain served by this service.

Available options:
tron

Query Parameters

addressTokenIn
string
required

Source token address (base58 T... or hex). Native TRX: T9yD14Nj9j7xAB4dbGeiX9h8unkKHxuWwb.

addressTokenOut
string
required

Destination token address (base58 T... or hex).

amountIn
string

Amount of source token to swap (in token's normalized unit, e.g. 1.5 TRX). Ignored when amountInWei is provided.

amountInWei
string

Amount of source token in the smallest unit (SUN for TRX). Takes precedence over amountIn.

slippageBps
integer<int32>

Slippage in bps for amountOutMin (not below the service minimum, 50 bps).

Required range: x >= 0

Response

Quote for swap through POST /{blockchain}/swap

aggregatorAddress
string
required

Contract the swap transaction calls (to of POST /{blockchain}/swap).

data
object
required
tokenApprovalAddress
string | null

Address that the user must approve for TRC-20 spending before calling /swap. Null when the input token is native TRX or for TRX <-> WTRX.